Advisory Details

April 16th, 2020

Oracle E-Business Suite Human Resources Organization Hierarchy Viewer PosServer SQL Injection Privilege Escalation Vulnerability

ZDI-20-503
ZDI-CAN-10466

CVE ID CVE-2020-2956
CVSS SCORE 8.1, (AV:N/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:N)
AFFECTED VENDORS Oracle
AFFECTED PRODUCTS E-Business Suite
VULNERABILITY DETAILS

This vulnerability allows remote attackers to escalate privileges on affected installations of Oracle E-Business Suite Human Resources. Authentication is required to exploit this vulnerability.

The specific flaw exists within the Organization Hierarchy Viewer. The issue results from the lack of proper validation of a user-supplied string before using it to construct SQL queries. An attacker can leverage this vulnerability to escalate privileges and reset the password for the SYSADMIN user.

ADDITIONAL DETAILS Oracle has issued an update to correct this vulnerability. More details can be found at:
https://www.oracle.com/security-alerts/cpuapr2020.html
DISCLOSURE TIMELINE
  • 2020-02-12 - Vulnerability reported to vendor
  • 2020-04-16 - Coordinated public release of advisory
CREDIT John Simpson of Trend Micro Security Research
BACK TO ADVISORIES